Package io.vertx.core.json.jackson

## Class HybridJacksonPool.StripedLockFreePool

- java.lang.Object
- - io.vertx.core.json.jackson.HybridJacksonPool.StripedLockFreePool

- All Implemented Interfaces:
    `RecyclerPool<BufferRecycler>`, `Serializable`
  Enclosing class:
    HybridJacksonPool

      public static class HybridJacksonPool.StripedLockFreePool
      extends Object
      implements RecyclerPool<BufferRecycler>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.fasterxml.jackson.core.util.RecyclerPool

      `RecyclerPool.BoundedPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.ConcurrentDequePoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.LockFreePoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.NonRecyclingPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.StatefulImplBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.ThreadLocalPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.WithPool<P extends RecyclerPool.WithPool<P>>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StripedLockFreePool​(int stripesCount)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BufferRecycler` | `acquirePooled()` |
    `void` | `releasePooled​(BufferRecycler recycler)` |
    `int` | `size()` |
    `int[]` | `stackStats()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.fasterxml.jackson.core.util.RecyclerPool

      `acquireAndLinkPooled, clear, pooledCount`

- - ### Constructor Detail

    - #### StripedLockFreePool

          public StripedLockFreePool​(int stripesCount)

  - ### Method Detail

    - #### size

          public int size()

    - #### stackStats

          public int[] stackStats()

    - #### acquirePooled

          public BufferRecycler acquirePooled()

      Specified by:
        `acquirePooled` in interface `RecyclerPool<BufferRecycler>`

    - #### releasePooled

          public void releasePooled​(BufferRecycler recycler)

      Specified by:
        `releasePooled` in interface `RecyclerPool<BufferRecycler>`